<?php include('casa/setup.casa.php');
	$codigo = DataForms::POST('codigo');	
	$codigo2 = substr(sha1(uniqid()),1,7);
	$cmbUbicaciones = DataForms::POST('cmbUbicaciones');
	$txtItem = DataForms::POST('txtItem');
	$txtProducto = utf8_decode(DataForms::POST('txtProducto'));
	$txtPiezasCaja = DataForms::POST('txtPiezasCaja');
	$txtCantidadCaja = DataForms::POST('txtCantidadCaja');
	$txtPrecioUnitario = DataForms::POST('txtPrecioUnitario');
	$txtPrecioDocena = DataForms::POST('txtPrecioDocena');
	$txtPrecioCajaDocena = DataForms::POST('txtPrecioCajaDocena');
	$txtObservaciones = DataForms::POST('txtObservaciones');
	$prod_piezascaja_real = DataForms::POST('prod_piezascaja_real');
	$prod_foto = DataForms::POST('prod_foto');

	$tipo = DataForms::POST('tipo');	
	$cantidad = DataForms::POST('cantidad');	

//calculos cantidad de cajas y unidades
$prod_unidadesreal = $txtCantidadCaja*$txtPiezasCaja;

	//cantidad real de unidades en inventario por producto
	$unidades_real = $txtCantidadCaja*$txtPiezasCaja;
$sql = "INSERT INTO inventarios_productos(
	ubica_codigo,prod_item,prod_codigo,
	prod_nombre,prod_foto,prod_piezascaja,
	prod_cantidadcajas,prod_cantidadcajasmemo,prod_unidadesreal,prod_preciounitario,
	prod_preciodocena,prod_preciocajadocena,prod_duplicado
)VALUES(
	'$cmbUbicaciones','$txtItem','$codigo2',
	'$txtProducto','$prod_foto','$txtPiezasCaja',
	'$txtCantidadCaja','$txtCantidadCaja','$unidades_real','$txtPrecioUnitario',
	'$txtPrecioDocena','$txtPrecioCajaDocena','duplicado'
);";

$db = new DB();
$db->dbSQL($sql);
Guardar();

echo '<script>self.location="'.PATH_HOME.'productos-duplicados.php";</script>';

function Guardar(){
	$codigo = DataForms::POST('codigo');	
	$tipo = DataForms::POST('tipo');	
	$piezas = DataForms::POST('txtPiezasCaja');	
	$cantidad = DataForms::POST('cantidad');

	if($tipo == 1){				
		$sql = "UPDATE inventarios_productos SET 
			prod_unidadesreal = '$cantidad',
			prod_tipo = '1'
		WHERE prod_codigo = '$codigo';";
	}else{
		$total = $cantidad*$piezas;
		$sql = "UPDATE inventarios_productos SET 
			prod_cantidadcajas = '$cantidad',
			prod_unidadesreal = '$total',
			prod_tipo = '2'
		WHERE prod_codigo = '$codigo';";
	}
	$db= new DB();
	$db->dbSQL($sql);
}
?>